## com.sun.jersey.api.json
Class JSONConfiguration.Builder

    java.lang.Object
      com.sun.jersey.api.json.JSONConfiguration.Builder

Direct Known Subclasses:
  JSONConfiguration.MappedBuilder, JSONConfiguration.MappedJettisonBuilder, JSONConfiguration.NaturalBuilder

Enclosing class:
  JSONConfiguration

    public static class JSONConfiguration.Builder

extends java.lang.Object

Builder class for constructing `JSONConfiguration` options

Field Summary
`protected java.util.Collection<java.lang.String>` `arrays`
`protected java.util.Collection<java.lang.String>` `attrsAsElems`
`protected boolean` `humanReadableFormatting`
`protected java.util.Map<java.lang.String,java.lang.String>` `jsonXml2JsonNs`
`protected java.lang.Character` `namespaceSeparator`
`protected java.util.Collection<java.lang.String>` `nonStrings`
`protected boolean` `rootUnwrapping`
`protected boolean` `usePrefixAtNaturalAttributes`

Method Summary
`JSONConfiguration` `build()` Constructs a new immutable `JSONConfiguration` object based on options set on this Builder

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### arrays

    protected java.util.Collection<java.lang.String> arrays

### attrsAsElems

    protected java.util.Collection<java.lang.String> attrsAsElems

### nonStrings

    protected java.util.Collection<java.lang.String> nonStrings

### rootUnwrapping

    protected boolean rootUnwrapping

### humanReadableFormatting

    protected boolean humanReadableFormatting

### jsonXml2JsonNs

    protected java.util.Map<java.lang.String,java.lang.String> jsonXml2JsonNs

### usePrefixAtNaturalAttributes

    protected boolean usePrefixAtNaturalAttributes

### namespaceSeparator

    protected java.lang.Character namespaceSeparator

Method Detail

### build

    public JSONConfiguration build()

  Constructs a new immutable `JSONConfiguration` object based on options set on this Builder

  Returns:
    a non-null `JSONConfiguration` instance

Copyright © 2017 Oracle Corporation. All Rights Reserved.